<template>
  <div class="wrap">
    <p>名字:{{name}}</p>
    <p>{{msg}}</p>
    <p>{{val}}</p>
  </div>
</template>

<script>

export default {
  name: 'Child3',
  props:{
    eventBus: Object
  },
  data () {
    return {
      name:'Child3',
      msg: 'Child3 Msg',
      val:'Child3中的数据'
    }
  },
  created(){
    
  },
  mounted(){
    this.eventBus.$on('send-a',msg=>{
      this.msg=msg
    });
    this.eventBus.$on('send-b',val=>{
      this.val=val;
    })
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
